export declare function getBlockchainDefaults(env: any): {
    default: {
        clientConfig: {
            miningMode: string;
        };
        enabled: boolean;
        client: any;
        proxy: boolean;
        datadir: string;
        rpcHost: string;
        rpcPort: number;
        rpcCorsDomain: {
            auto: boolean;
            additionalCors: never[];
        };
        wsRPC: boolean;
        wsOrigins: {
            auto: boolean;
            additionalCors: never[];
        };
        wsHost: string;
        wsPort: number;
        networkType: string;
        isDev: boolean;
        nodiscover: boolean;
        maxpeers: number;
        targetGasLimit: number;
        simulatorBlocktime: number;
    };
    test: {
        clientConfig: {
            miningMode: string;
        };
        enabled: boolean;
        client: any;
        proxy: boolean;
        datadir: string;
        rpcHost: string;
        rpcPort: number;
        rpcCorsDomain: {
            auto: boolean;
            additionalCors: never[];
        };
        wsRPC: boolean;
        wsOrigins: {
            auto: boolean;
            additionalCors: never[];
        };
        wsHost: string;
        wsPort: number;
        networkType: string;
        isDev: boolean;
        nodiscover: boolean;
        maxpeers: number;
        targetGasLimit: number;
        simulatorBlocktime: number;
    };
};
export declare function getContractDefaults(embarkConfigVersions: any): {
    default: {
        library: string;
        versions: any;
        dappConnection: string[];
        dappAutoEnable: boolean;
        strategy: any;
        gas: string;
        deploy: {};
    };
};
//# sourceMappingURL=configDefaults.d.ts.map