export class ProcessWrapper {
    /**
     * Class from which process extend. Should not be instantiated alone.
     * Manages the log interception so that all console.* get sent back to the parent process
     * Also creates an Events instance. To use it, just do `this.events.[on|request]`
     *
     * @param {Options}     options    pingParent: true by default
     */
    constructor(options?: any);
    options: any;
    events: Events;
    pingParent(): void;
    interceptLogs(): void;
    _log(type: any, ...messages: any[]): void;
    send(...args: any[]): any;
    kill(): void;
}
import { Events } from "./eventsWrapper";
//# sourceMappingURL=processWrapper.d.ts.map