"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.filesMatchingPattern = filesMatchingPattern;
exports.fileMatchesPattern = fileMatchesPattern;

var _find = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/find"));

function filesMatchingPattern(files) {
  const globule = require('globule');

  return (0, _find.default)(globule).call(globule, files, {
    nonull: true
  });
}

function fileMatchesPattern(patterns, intendedPath) {
  const globule = require('globule');

  return globule.isMatch(patterns, intendedPath);
}
//# sourceMappingURL=utils.js.map