import { dappPath, embarkPath } from 'embark-utils';
import { Logger } from 'embark-logger';
export declare class Plugin {
    dappPath: typeof dappPath;
    embarkPath: typeof embarkPath;
    name: string;
    isInternal: boolean;
    pluginModule: any;
    pluginPath: string;
    pluginConfig: any;
    shouldInterceptLogs: boolean;
    clientWeb3Providers: any[];
    beforeDeploy: any[];
    contractsGenerators: any[];
    generateCustomContractCode: null;
    testContractFactory: null;
    pipeline: any[];
    pipelineFiles: any[];
    console: any[];
    contractsConfigs: any[];
    contractsFiles: any[];
    compilers: any[];
    serviceChecks: any[];
    dappGenerators: any[];
    pluginTypes: string[];
    uploadCmds: any[];
    apiCalls: any[];
    imports: any[];
    embarkjs_code: any[];
    generated_code: any[];
    embarkjs_init_code: any[];
    embarkjs_init_console_code: any[];
    fs: any;
    afterContractsDeployActions: any[];
    onDeployActions: any[];
    eventActions: any;
    _loggerObject: Logger;
    events: any;
    config: any;
    plugins: any;
    pluginsAPI: any;
    env: any;
    loaded: boolean;
    currentContext: any;
    acceptedContext: any;
    version: string;
    constants: any;
    logger: Logger;
    constructor(options: any);
    _log(type: any): void;
    isContextValid(): any;
    hasContext(context: any): any;
    loadPlugin(): any;
    loadInternalPlugin(): any;
    loadPluginFile(filename: any): string;
    pathToFile(filename: any): any;
    registerClientWeb3Provider(cb: any): void;
    registerContractsGeneration(cb: any): void;
    registerCustomContractGenerator(cb: any): void;
    registerTestContractFactory(cb: any): void;
    registerPipeline(matcthingFiles: any, cb: any): void;
    registerDappGenerator(framework: any, cb: any): void;
    registerCustomType(type: any): void;
    addFileToPipeline(file: any, intendedPath: any, options: any): void;
    addContractFile(file: any): void;
    registerConsoleCommand(optionsOrCb: any): void;
    registerServiceCheck(checkName: any, checkFn: any, time: any): void;
    has(pluginType: any): boolean;
    addPluginType(pluginType: any): void;
    generateProvider(args: any): string;
    generateContracts(args: any): string;
    registerContractConfiguration(config: any): void;
    registerCompiler(extension: any, cb: any): void;
    registerUploadCommand(cmd: any, cb: any): void;
    addCodeToEmbarkJS(code: any): void;
    addGeneratedCode(codeCb: any): void;
    addProviderInit(providerType: any, code: any, initCondition: any): void;
    addConsoleProviderInit(providerType: any, code: any, initCondition: any): void;
    registerImportFile(importName: any, importLocation: any): void;
    registerActionForEvent(eventName: any, options?: any, cb?: any): void;
    registerAPICall(method: any, endpoint: any, cb: any): void;
    runFilePipeline(): any[];
    runPipeline(args: any): any;
}
//# sourceMappingURL=plugin.d.ts.map