import { Plugin } from './plugin';
import { EmbarkEmitter as Events } from './events';
import { Config } from './config';
import { Logger } from 'embark-logger';
export declare class Plugins {
    pluginList: never[];
    interceptLogs: boolean;
    plugins: Plugin[];
    logger: Logger;
    events: Events;
    config: Config;
    context: any;
    fs: any;
    env: string;
    version: string;
    client: string;
    static deprecated: {
        'embarkjs-connector-web3': string;
    };
    constructor(options: any);
    loadPlugins(): void;
    listPlugins(): string[];
    createPlugin(pluginName: any, pluginConfig: any): Plugin;
    loadInternalPlugin(pluginName: any, pluginConfig: any, isPackage?: boolean): any;
    loadPlugin(pluginName: any, pluginConfig: any): void;
    getPluginsFor(pluginType: any): Plugin[];
    getPluginsProperty(pluginType: any, property: any, sub_property?: any): any;
    getPluginsPropertyAndPluginName(pluginType: any, property: any, sub_property: any): any[];
    runActionsForEvent(eventName: any, args: any, cb: any): any;
    emitAndRunActionsForEvent(eventName: any, args: any, cb: any): any;
}
//# sourceMappingURL=plugins.d.ts.map