"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

var _map = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/map"));

// util to map async method names
function extend(filename, async) {
  if (async._waterfall !== undefined) {
    return;
  }

  async._waterfall = async.waterfall;

  async.waterfall = function (_tasks, callback) {
    let tasks = (0, _map.default)(_tasks).call(_tasks, function (t) {
      let fn = function () {
        console.log("async " + filename + ": " + t.name);
        t.apply(t, arguments);
      };

      return fn;
    });

    async._waterfall(tasks, callback);
  };
}

module.exports = extend;
//# sourceMappingURL=debug_util.js.map